#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ghcide
version:              1.9.0.0
visibility:           public
id:                   ghcide-1.9.0.0-9vbxnkyw1ugAgvwj4TuhkH
key:                  ghcide-1.9.0.0-9vbxnkyw1ugAgvwj4TuhkH
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  4020d489a541ffeba260e5854109a16f
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.FileUtils
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor
    Development.IDE.Core.ProgressReporting
    Development.IDE.Core.RuleTypes Development.IDE.Core.Rules
    Development.IDE.Core.Service Development.IDE.Core.Shake
    Development.IDE.Core.Tracing Development.IDE.Core.UseStale
    Development.IDE.GHC.Compat Development.IDE.GHC.Compat.Core
    Development.IDE.GHC.Compat.Env Development.IDE.GHC.Compat.Iface
    Development.IDE.GHC.Compat.Logger
    Development.IDE.GHC.Compat.Outputable
    Development.IDE.GHC.Compat.Parser
    Development.IDE.GHC.Compat.Plugins Development.IDE.GHC.Compat.Units
    Development.IDE.GHC.Compat.Util Development.IDE.GHC.CoreFile
    Development.IDE.GHC.Error Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer
    Development.IDE.LSP.Notifications Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Main.HeapStats Development.IDE.Monitoring.EKG
    Development.IDE.Monitoring.OpenTelemetry Development.IDE.Plugin
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings Development.IDE.Spans.Pragmas
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Monitoring Development.IDE.Types.Options
    Development.IDE.Types.Shake Generics.SYB.GHC Text.Fuzzy.Parallel

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-9.0.2/site-local/ghcide-1.9.0.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/ghcide-1.9.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-ghcide
hs-libraries:         HSghcide-1.9.0.0-9vbxnkyw1ugAgvwj4TuhkH
depends:
    Diff-0.4.1-5IYkJm3rOdSDe9F8cIvDNy
    Glob-0.10.2-CYitPOnQlK59oV9ariznx7
    aeson-2.1.2.1-GnWfeeQpoVOBig4HoIDDG9
    aeson-pretty-0.8.9-GNfD8WLLZDCHG7KmnDfNhy array-0.5.4.0
    async-2.2.4-IEm3F7WS5yL5UDnm4poSr base-4.15.1.0
    base16-bytestring-1.0.2.0-StXPox1nBc3AK3ZKrNsOT binary-0.8.8.0
    bytestring-0.10.12.1
    case-insensitive-1.2.1.0-6HwZPMiOaK97nwlWoHY1Gb
    co-log-core-0.3.2.0-IdMIvrEMRuYKCZgtt7AYU9 containers-0.6.4.1
    cryptohash-sha1-0.11.101.0-7wCviUxvsC0JmwuCBhqOKx
    data-default-0.7.1.1-8E5NGoO1gLxEpVTFDWBmYU deepseq-1.4.5.0
    dependent-map-0.4.0.0-1YeoittfnovFs3zh7oAnif
    dependent-sum-0.7.2.0-AyWo9vUpqxFEyWnQVYQpLu directory-1.3.6.2
    dlist-1.0-JalAZsGq1LOCqqdFHHEpoL
    enummapset-0.7.1.0-FscPMAoZNn641ueMnz4sHo exceptions-0.10.4
    extra-1.7.13-2HbyNcAy4YaYO3KF14Rpw filepath-1.4.2.1
    fingertree-0.1.5.0-2gMEabG4TehYgUNGtEqR2
    focus-1.0.3.1-310jKOFjpjx4fen2frbogp ghc-9.0.2 ghc-boot-9.0.2
    ghc-boot-th-9.0.2 ghc-check-0.5.0.8-10Q0zqPLWjh12PAcWBS5Md
    ghc-paths-0.1.0.12-7fRPaqGgnC488dNzs2elDi
    ghc-trace-events-0.1.2.7-KqL0Q6Rsn8A7qIYdrbRLC8
    haddock-library-1.10.0-2YgWHBHXgs222P1ZMV0xBC
    hashable-1.4.2.0-8EyZ5q0qf6V2oPuIX4Sz4t
    hie-bios-0.11.0-HC9CfDkwyYPKqB4bP0dG3V
    hie-compat-0.3.0.0-HtRpwVRm0jbBmBGDkwMYdm
    hiedb-0.4.2.0-4sG3OQQqM56GCJZciu5OGm
    hls-graph-1.9.0.0-JZDwPCyRqnw4nnFgczPWjS
    hls-plugin-api-1.6.0.0-KYZAO7TVKWW8F7trnJ2cRB
    hslogger-1.3.1.0-JA7JjXWPMIh8W5uwd9q0lr
    implicit-hie-0.1.2.7-3qz6uoyERGvJZCkeybEXYF
    implicit-hie-cradle-0.3.0.5-EDrdiOZGesTIkTTKU2CGSK
    lens-5.2.3-502TyVqGvxTATE4UHV9fln
    list-t-1.0.5.4-5lzyviCNlVD5JbiGbPfASo
    lsp-1.6.0.0-88LIXO6i4cM6qo53ATJ9Up
    lsp-types-1.6.0.0-mJAne1rg9E4HFhnJoFv9u mtl-2.2.2
    opentelemetry-0.8.0-5gU5rzlpdz99eLLKcWM1Uu
    optparse-applicative-0.17.0.0-1t7fxkFVvXn4R1Ycov0fb
    parallel-3.2.2.0-D2aleEa2VnPBr164BdKnms
    prettyprinter-1.7.1-1IylnyGZUUkK1Hq1ELoEBg
    prettyprinter-ansi-terminal-1.1.3-2K6i3cGyxgcC6Y1kmMbkTj
    random-1.2.1.1-8t6Qrrs5ZeF1jN6oGG3D31
    regex-tdfa-1.3.2.2-21KLItrHKbUHkCP2A3SKNM
    safe-exceptions-0.1.7.4-EbsrRtVGgXcCdgusycf5zh
    sorted-list-0.2.1.0-6jcghXYTAOG6xcHgKgM12R
    sqlite-simple-0.4.18.2-K4nkvriokbWAHFcyEiWPIL stm-2.5.0.0
    stm-containers-1.2.0.1-Dp6yNzwhdHRAffDfHKxdLU
    syb-0.7.2.3-9kyift35DVr9NXNmdJlqpE text-1.2.5.0
    text-rope-0.2-3brLz4xQfIT9yf4GqliBOV time-1.9.3
    transformers-0.5.6.2 unix-2.7.2.2
    unliftio-0.2.24.0-AmSQrxMMLiq1AIGm31qi3q
    unliftio-core-0.2.1.0-AJ3ipHGgln87h2Y2hfrpJj
    unordered-containers-0.2.19.1-4LWMSZiig8M6j2saT8CDNm
    vector-0.13.0.0-DcAY6cFNWmp2QJjfa2GrVo

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

